[Unit]
Description=Apache Tomcat Web Application Container
After=network.target

[Service]
Type=forking

Environment=CATALINA_PID=/opt/apache-tomcat-{{tomcat_version}}/temp/tomcat.pid
Environment='CATALINA_OPTS=-{{xms}} -{{xmx}} -server -XX:+UseParallelGC'

ExecStart=/opt/apache-tomcat-{{tomcat_version}}/bin/startup.sh
ExecStop=/opt/apache-tomcat-{{tomcat_version}}/bin/shutdown.sh

User=tomcat
Group=tomcat
UMask=0007
RestartSec=10
Restart=always

[Install]
WantedBy=multi-user.target